SystemOrganization addCategory: #'SBlog-Model'!

Object subclass: #Blog
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SBlog-Model'!

!Blog methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:10'!
allEntries
	"every entry ever posted to the blog"! !

!Blog methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:09'!
name
	"the full name of the blog"! !

!Blog methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:10'!
categories
	"the possible categories for blog entries"! !

Object subclass: #BlogComment
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SBlog-Model'!

!BlogComment methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:12'!
authorName
	"the name of the person that wrote this comment"! !

!BlogComment methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:13'!
text
	"the full text of the comment"! !

Object subclass: #BlogEntry
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SBlog-Model'!

!BlogEntry methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:12'!
comments
	"all comments posted to this entry"! !

!BlogEntry methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:12'!
categories
	"all the categories this entry is posted under"! !

!BlogEntry methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:12'!
time
	"time this entry was created"! !

!BlogEntry methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:11'!
date
	"date this entry was created"! !

Object subclass: #BlogAuthor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SBlog-Model'!

!BlogAuthor methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:06'!
confirmPassword: aString
	"return true if aString matches this author's password"! !

!BlogAuthor methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:05'!
username! !

!BlogAuthor methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:08'!
blogs
	"a list of all of the blogs this author can post to"! !

Object subclass: #BlogCategory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SBlog-Model'!

!BlogCategory methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:14'!
name
	"the categories name"! !

!BlogCategory methodsFor: 'as yet unclassified' stamp: 'avi 10/11/2003 18:14'!
allEntries
	"all the entries posted to this category"! !
